## r-cran-mclustcomp 0.3.3

=== DESCRIPTION ===
Package: mclustcomp
Type: Package
Title: Measures for Comparing Clusters
Version: 0.3.3
Authors@R: person("Kisung", "You", email = "kisungyou@outlook.com", role = c("aut", "cre"))
Description: Given a set of data points, a clustering is defined as a disjoint partition
    where each pair of sets in a partition has no overlapping elements. 
    This package provides 25 methods that play a role somewhat similar to 
    distance or metric that measures similarity of two clusterings - or partitions.
    For a more detailed description, see Meila, M. (2005) <doi:10.1145/1102351.1102424>.
License: GPL (>= 3)
Encoding: UTF-8
Imports: Rcpp, Rdpack
LinkingTo: Rcpp, RcppArmadillo
RoxygenNote: 7.1.1
RdMacros: Rdpack
NeedsCompilation: yes
Packaged: 2021-06-12 06:23:48 UTC; kisung
Author: Kisung You [aut, cre]
Maintainer: Kisung You <kisungyou@outlook.com>
Repository: CRAN
Date/Publication: 2021-06-13 04:40:11 UTC

=== debian/changelog ===
r-cran-mclustcomp (0.3.3-2) unstable; urgency=medium

  * Team upload.
  * Trim trailing whitespace.
  * Set upstream metadata fields: Archive.
  * Standards-Version: 4.6.2 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)

 -- Andreas Tille <tille@debian.org>  Wed, 11 Jan 2023 17:00:39 +0100

r-cran-mclustcomp (0.3.3-1) unstable; urgency=medium

  * Initial release (closes: #995816)

 -- Steffen Moeller <moeller@debian.org>  Tue, 05 Oct 2021 21:30:07 +0200

=== debian/control ===
Source: r-cran-mclustcomp
Section: gnu-r
Priority: optional
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Steffen Moeller <moeller@debian.org>
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-mclustcomp
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-mclustcomp.git
Homepage: https://cran.r-project.org/package=mclustcomp
Standards-Version: 4.6.2
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-cran-rcpp,
               r-cran-rdpack,
               r-cran-rcpparmadillo
Testsuite: autopkgtest-pkg-r

Package: r-cran-mclustcomp
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: Measures for Comparing Clusters
 Given a set of data points, a clustering is defined as a disjoint
 partition where each pair of sets in a partition has no overlapping
 elements. This package provides 25 methods that play a role somewhat
 similar to distance or metric that measures similarity of two
 clusterings - or partitions. For a more detailed description, see Meila,
 M. (2005) <doi:10.1145/1102351.1102424>.

=== debian/watch ===
version=4
https://cloud.r-project.org/src/contrib/mclustcomp_([-\d.]*)\.tar\.gz

## r-cran-mclustcomp 0.3.5

=== debian/changelog ===
r-cran-mclustcomp (0.3.5-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.3 (routine-update)
  * Restrict to 64-bits architectures (routine-update)
  * Restrict to little-endian architectures (routine-update)
  * Upstream relicensed to MIT.
  * Reorder sequence of d/control fields by cme (routine-update)

 -- Charles Plessy <plessy@debian.org>  Tue, 20 Jan 2026 09:55:46 +0900

=== debian/control ===
--- 
+++ 
@@ -6,14 +6,16 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-mclustcomp
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-mclustcomp.git
 Homepage: https://cran.r-project.org/package=mclustcomp
-Standards-Version: 4.6.2
+Standards-Version: 4.7.3
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-cran-rcpp,
                r-cran-rdpack,
-               r-cran-rcpparmadillo
+               r-cran-rcpparmadillo,
+               architecture-is-64-bit,
+               architecture-is-little-endian
 Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-mclustcomp
